scala.tools.nsc.backend.jvm.opt.BytecodeUtils

# AnalyzerExtensions

###
Related Doc: package BytecodeUtils

#### implicit final class AnalyzerExtensions[V <: Value] extends AnyVal

Source
  BytecodeUtils.scala

Linear Supertypes
AnyVal, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AnalyzerExtensions
2. AnyVal
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AnalyzerExtensions(analyzer: Analyzer[V])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AnalyzerExtensions[V] to any2stringadd[AnalyzerExtensions[V]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AnalyzerExtensions[V], B)

   Implicit information
     This member is added by an implicit conversion from AnalyzerExtensions[V] to ArrowAssoc[AnalyzerExtensions[V]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val analyzer: Analyzer[V]

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

8. #### def ensuring(cond: (AnalyzerExtensions[V]) ⇒ Boolean, msg: ⇒ Any): AnalyzerExtensions[V]

   Implicit information
     This member is added by an implicit conversion from AnalyzerExtensions[V] to Ensuring[AnalyzerExtensions[V]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (AnalyzerExtensions[V]) ⇒ Boolean): AnalyzerExtensions[V]

   Implicit information
     This member is added by an implicit conversion from AnalyzerExtensions[V] to Ensuring[AnalyzerExtensions[V]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): AnalyzerExtensions[V]

    Implicit information
      This member is added by an implicit conversion from AnalyzerExtensions[V] to Ensuring[AnalyzerExtensions[V]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): AnalyzerExtensions[V]

    Implicit information
      This member is added by an implicit conversion from AnalyzerExtensions[V] to Ensuring[AnalyzerExtensions[V]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AnalyzerExtensions[V] to StringFormat[AnalyzerExtensions[V]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

13. #### def frameAt(instruction: AbstractInsnNode, methodNode: MethodNode): Frame[V]

14. #### def getClass(): Class[_ <: AnyVal]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyVal → Any

15. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

16. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Any

17. #### def →[B](y: B): (AnalyzerExtensions[V], B)

    Implicit information
      This member is added by an implicit conversion from AnalyzerExtensions[V] to ArrowAssoc[AnalyzerExtensions[V]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyVal

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AnalyzerExtensions[V] to any2stringadd[AnalyzerExtensions[V]]

### Inherited by implicit conversion StringFormat from AnalyzerExtensions[V] to StringFormat[AnalyzerExtensions[V]]

### Inherited by implicit conversion Ensuring from AnalyzerExtensions[V] to Ensuring[AnalyzerExtensions[V]]

### Inherited by implicit conversion ArrowAssoc from AnalyzerExtensions[V] to ArrowAssoc[AnalyzerExtensions[V]]

### Ungrouped